# Class: Word

Defined in: | lib/Types/TextTypes.coffee
Inherits: | types.ListManager

## Overview

Handles a Text-like data structures with support for insertText/deleteText at a word-position.

## Instance Method Summary

- # (void) insertText(position, content) Inserts a string into the word
- # (void) deleteText(position, length) Deletes a part of the word.
- # (void) replaceText(text) Replace the content of this word with another one.
- # (void) val() @returns [Json] A Json object.
- # (void) setReplaceManager(op) In most cases you would embed a Word in a Replaceable, wich is handled by the ReplaceManager in order to provide replace functionality.
- # (void) _encode() Encode this operation in such a way that it can be parsed by remote peers.

## Constructor Details

# (void) constructor(uid, beginning, end, prev, next, origin)

### Parameters:

- uid ( `Object` ) — A unique identifier. If uid is undefined, a new uid will be created.

## Instance Method Details

# (void) insertText(position, content)

Inserts a string into the word

# (void) deleteText(position, length)

Deletes a part of the word.

# (void) replaceText(text)

Replace the content of this word with another one. Concurrent replacements are not merged! Only one of the replacements will be used.

Can only be used if the ReplaceManager was set!

### See also:

- Word.setReplaceManager

# (void) val()

@returns [Json] A Json object.

# (void) setReplaceManager(op)

In most cases you would embed a Word in a Replaceable, wich is handled by the ReplaceManager in order to provide replace functionality.

# (void) _encode()

Encode this operation in such a way that it can be parsed by remote peers.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input